'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.APPEARANCE_ENUM = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Container = require('./styled/Container');

var _Container2 = _interopRequireDefault(_Container);

var _Content = require('./styled/Content');

var _Content2 = _interopRequireDefault(_Content);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var APPEARANCE_ENUM = exports.APPEARANCE_ENUM = {
  values: ['default', 'success', 'removed', 'inprogress', 'new', 'moved'],
  defaultValue: 'default'
};

var Lozenge = function (_PureComponent) {
  (0, _inherits3.default)(Lozenge, _PureComponent);

  function Lozenge() {
    (0, _classCallCheck3.default)(this, Lozenge);
    return (0, _possibleConstructorReturn3.default)(this, (Lozenge.__proto__ || (0, _getPrototypeOf2.default)(Lozenge)).apply(this, arguments));
  }

  (0, _createClass3.default)(Lozenge, [{
    key: 'validAppearance',


    // returns the assigned appearance if valid, falling back to the default otherwise
    value: function validAppearance() {
      var appearance = this.props.appearance;
      var values = APPEARANCE_ENUM.values,
          defaultValue = APPEARANCE_ENUM.defaultValue;

      return values.indexOf(appearance) !== -1 ? appearance : defaultValue;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          isBold = _props.isBold,
          children = _props.children;


      return _react2.default.createElement(
        _Container2.default,
        { appearance: this.validAppearance(), isBold: isBold },
        _react2.default.createElement(
          _Content2.default,
          null,
          children
        )
      );
    }
  }]);
  return Lozenge;
}(_react.PureComponent);

Lozenge.defaultProps = {
  isBold: false,
  appearance: APPEARANCE_ENUM.defaultValue
};
exports.default = Lozenge;